%global momorel 7

%define multilib_64_archs x86_64 s390x ppc64 sparc64
%define perl_archname %{_arch}-%{_os}-thread-multi
%define new_perl_lib  $RPM_BUILD_ROOT%{_libdir}/perl5/%{version}:$RPM_BUILD_ROOT/usr/lib/perl5/%{version}
%define comp_perl_lib $RPM_BUILD_ROOT/usr/lib/perl5/%{version}:$RPM_BUILD_ROOT/usr/lib/perl5/%{version}
%define new_arch_lib  $RPM_BUILD_ROOT%{_libdir}/perl5/%{version}/%{perl_archname}
%define comp_arch_lib $RPM_BUILD_ROOT/usr/lib/perl5/%{version}/%{perl_archname}
%define new_perl_flags LD_PRELOAD=/%{new_arch_lib}/CORE/libperl.so LD_LIBRARY_PATH=%{new_arch_lib}/CORE PERL5LIB=%{new_perl_lib}:%{comp_perl_lib}
%define new_perl %{new_perl_flags} $RPM_BUILD_ROOT/%{_bindir}/perl

%define db4_major %(grep "DB_VERSION_MAJOR" /usr/include/db.h | cut -f3)
%define db4_minor %(grep "DB_VERSION_MINOR" /usr/include/db.h | cut -f3)
%define db4_patch %(grep "DB_VERSION_PATCH" /usr/include/db.h | cut -f3)


%define perl_version 5.10.0
%define perl_epoch 4

# Use this for SUPER PERL DEBUGGING MODE.
%{?!perl_debugging:    %define perl_debugging 0}
%if %{perl_debugging}
%define debug_package %{nil}
# don't build debuginfo and disable stripping
%endif

Name:           perl
Version:        %{perl_version}
Release:        %{momorel}m%{?dist}
Epoch:          %{perl_epoch}
Summary:        The Perl programming language
Group:          Development/Languages
License:        Artistic or GPL
Url:            http://www.perl.org/
#Source0:        http://www.cpan.org/authors/id/N/NW/NWCLARK/%{name}-%{perl_version}.tar.bz2
Source0:		 http://www.cpan.org/src/%{name}-%{perl_version}.tar.gz
NoSource:       0
Source11:       filter-depends.sh
Source12:       perl-5.8.0-libnet.cfg
# Specific to Fedora/RHEL
Patch1:         perl-5.8.0-root.patch

# Removes date check, Fedora/RHEL specific
Patch3:         perl-5.10.0-perlbug-tag.patch

# make sure we get the proper ldflags on libperl.so
# Upstream bug 41587
Patch4:         perl-5.10.0-sharedlinker.patch

# Fedora/RHEL use links instead of lynx
Patch5:         perl-5.10.0-links.patch

# work around annoying rpath issue
# This is only relevant for Fedora, as it is unlikely
# that upstream will assume the existence of a libperl.so
Patch6:         perl-5.8.8-rpath-make.patch

# Disable -DDEBUGGING and allow -g to do its job (#156113)
# Upstream bug 41588
#Patch9:         perl-5.8.7-no-debugging.patch
Patch7:		perl-5.10.0-no-debugging.patch

# Fedora/RHEL only (64bit only)
Patch8:        perl-5.8.0-libdir64.patch

# Fedora/RHEL specific (use libresolv instead of libbind)
Patch9:        perl-5.8.6-libresolv.patch

# FIXME: May need the "Fedora" references removed before upstreaming
Patch10:        perl-5.10.0-USE_MM_LD_RUN_PATH.patch

# Skip hostname tests, since hostname lookup isn't available in Fedora
# buildroots by design.
Patch11:        perl-5.10.0-disable_test_hosts.patch

# Bump Sys::Syslog to 0.24 to fix test failure case
Patch12:        perl-5.10.0-SysSyslog-0.24.patch

# The Fedora builders started randomly failing this futime test
# only on x86_64, so we just don't run it. Works fine on normal
# systems.
Patch13:        perl-5.10.0-x86_64-io-test-failure.patch

# http://public.activestate.com/cgi-bin/perlbrowse/p/32891
Patch14:        32891.patch

# Update Module::Load::Conditional to 0.24 for clean upgrade
Patch15:	perl-5.10.0-Module-Load-Conditional-0.24.patch

BuildRoot:      %{_tmppath}/%{name}-%{perl_version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  tcsh, dos2unix, man, groff
BuildRequires:  gdbm-devel, db4-devel, zlib-devel

# XXX - remove this once RH bug #231549 is fixed
Requires:	perl-devel

# The long line of Perl provides.

Provides: /usr/bin/perl

# These provides are needed by the perl pkg itself with auto-generated perl.req
Provides: perl(VMS::Filespec)
Provides: perl(VMS::Stdio)

# Compat provides
Provides: perl(:MODULE_COMPAT_5.10.0)

# Threading provides
Provides: perl(:WITH_ITHREADS)
Provides: perl(:WITH_THREADS)
# Largefile provides
Provides: perl(:WITH_LARGEFILES)
# PerlIO provides
Provides: perl(:WITH_PERLIO)
# File provides
Provides: perl(abbrev.pl)
Provides: perl(assert.pl)
Provides: perl(bigfloat.pl)
Provides: perl(bigint.pl)
Provides: perl(bigrat.pl)
Provides: perl(bytes_heavy.pl)
Provides: perl(cacheout.pl)
Provides: perl(complete.pl)
Provides: perl(ctime.pl)
Provides: perl(dotsh.pl)
Provides: perl(dumpvar.pl)
Provides: perl(exceptions.pl)
Provides: perl(fastcwd.pl)
Provides: perl(find.pl)
Provides: perl(finddepth.pl)
Provides: perl(flush.pl)
Provides: perl(ftp.pl)
Provides: perl(getcwd.pl)
Provides: perl(getopt.pl)
Provides: perl(getopts.pl)
Provides: perl(hostname.pl)
Provides: perl(importenv.pl)
Provides: perl(look.pl)
Provides: perl(newgetopt.pl)
Provides: perl(open2.pl)
Provides: perl(open3.pl)
Provides: perl(perl5db.pl)
Provides: perl(pwd.pl)
Provides: perl(shellwords.pl)
Provides: perl(stat.pl)
Provides: perl(syslog.pl)
Provides: perl(tainted.pl)
Provides: perl(termcap.pl)
Provides: perl(timelocal.pl)
Provides: perl(utf8_heavy.pl)
Provides: perl(validate.pl)
Provides: perl(Carp::Heavy)

Requires: perl-libs = %{perl_epoch}:%{perl_version}-%{release}
Requires: db4 = %{db4_major}.%{db4_minor}.%{db4_patch}

# We need this to break the dependency loop, and ensure that perl-libs 
# gets installed before perl.
Requires(post): perl-libs

# Versioned Provides for our Obsoletes
#Provides: perl-Filter-Simple = 0.82
#Provides: perl-Time-HiRes = 1.86

# Last seen in Fedora Core 4
#Obsoletes: perl-Filter-Simple
#Obsoletes: perl-Time-HiRes

# Obsoletes and Provides for Math packages
Obsoletes: perl-Math-BigInt
Obsoletes: perl-Math-BigInt-FastCalc
Obsoletes: perl-Math-BigRat
Obsoletes: perl-Math-Complex
Provides:  perl-Math-BigInt
Provides:  perl-Math-BigInt-FastCalc
Provides:  perl-Math-BigRat
Provides:  perl-Math-Complex

# Obsoletes and Provides for Compress::Zlib
Obsoletes: perl-Compress-Zlib
Provides:  perl-Compress-Zlib

# Obsoletes and Provides for Compress::Raw::Zlib
Obsoletes: perl-Compress-Raw-Zlib
Provides:  perl-Compress-Raw-Zlib

# Obsoletes and Provides for IO::Compress::Base
Obsoletes: perl-IO-Compress-Base
Provides:  perl-IO-Compress-Base

# Obsoletes and Provides for IO::Compress::Zlib
Obsoletes: perl-IO-Compress-Zlib
Provides:  perl-IO-Compress-Zlib

%{expand:%%define prev__perl_requires %{__perl_requires}} 
%define __perl_requires %{SOURCE11} %{prev__perl_requires}

# When _use_internal_dependency_generator is 0, the perl.req script is
# called from /usr/lib/rpm{,/redhat}/find-requires.sh
# Likewise:
%{expand:%%define prev__find_requires %{__find_requires}} 
%define __find_requires %{SOURCE11} %{prev__find_requires}


%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications are system
administration utilities and web programming.  A large proportion of
the CGI scripts on the web are written in Perl.  You need the perl
package installed on your system so that your system can handle Perl
scripts.

Install this package if you want to program in Perl or enable your
system to handle Perl scripts.

%package libs
Summary:        The libraries for the perl runtime
Group:          Development/Languages
License:        Artistic or GPL
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}

%description libs
The libraries for the perl runtime


%package devel
Summary:        Header files for use in perl development
Group:          Development/Languages
License:        Artistic or GPL
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}

%description devel
This package contains header files and development modules.
Most perl packages will need to install perl-devel to build.


%package suidperl
Summary:        Suidperl, for use with setuid perl scripts
Group:          Development/Languages
License:        Artistic or GPL
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}

%description suidperl
Suidperl is a setuid binary copy of perl that allows for (hopefully)
more secure running of setuid perl scripts.

%package CPAN
Summary:        Query, download and build perl modules from CPAN sites
Group:          Development/Languages
License:        Artistic or GPL
Epoch:          0
Version:        1.9205
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}
Provides:       cpan = %{version}

%description CPAN
Query, download and build perl modules from CPAN sites.


%package CPANPLUS
Summary:        API & CLI access to the CPAN mirrors
Group:          Development/Libraries
License:        Artistic or GPL
Epoch:          0
# It's really 0.83_09, but we drop the _09.
Version:        0.83
Requires:       perl(IPC::Run) >= 0.79
Requires:       perl(Module::Pluggable) >= 2.4
Requires:       perl(Module::CoreList)
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}

%description CPANPLUS
The CPANPLUS library is an API to the CPAN mirrors and a collection of
interactive shells, commandline programs, etc, that use this API.
%package ExtUtils-Embed
Summary:        Utilities for embedding Perl in C/C++ applications
Group:          Development/Languages
Epoch:          0
Version:        1.27
Requires:       perl-devel
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}

%description ExtUtils-Embed
Utilities for embedding Perl in C/C++ applications.


%package ExtUtils-MakeMaker
Summary:        Create a module Makefile
Group:          Development/Languages
License:        Artistic or GPL
Epoch:          0
Version:        6.36
Requires:       perl-devel
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(Test::Harness)

%description ExtUtils-MakeMaker
Create a module Makefile.


%package Test-Harness
Summary:        Run Perl standard test scripts with statistics
Group:          Development/Languages
License:        Artistic or GPL
Epoch:          0
Version:        2.64
Requires:       perl-devel
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}

%description Test-Harness
Run Perl standard test scripts with statistics.

%package Test-Simple
Summary:        Basic utilities for writing tests
Group:          Development/Languages
License:        Artistic or GPL
Epoch:          0
Version:        0.72
Requires:       perl-devel
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}

%description Test-Simple
Basic utilities for writing tests.

%package version
Summary:        Perl extension for Version Objects
Group:          Development/Libraries
License:        Artistic or GPL
# Epoch bump for clean upgrade over old standalone package
Epoch:          3
Version:        0.74
Requires:	perl = %{perl_epoch}:%{perl_version}-%{release}

%description version
Perl extension for Version Objects


%package core
Summary:        Base perl metapackage
Group:          Development/Languages
# This rpm doesn't contain any copyrightable material.
# Nevertheless, it needs a License tag, so we'll use the generic
# "perl" license.
License:        Artistic or GPL
Epoch:          0
Version:        %{perl_version}
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl-libs = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl-devel = %{perl_epoch}:%{perl_version}-%{release}

Requires:       perl-CPAN, perl-CPANPLUS, perl-ExtUtils-MakeMaker,
Requires:       perl-Test-Harness, perl-Test-Simple, perl-version

%description core
A metapackage which requires all of the perl bits and modules in the
upstream tarball from perl.org.


%prep
%setup -q
%patch1 -p1
##%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%ifarch %{multilib_64_archs}
%patch8 -p1
%endif
%if !%{perl_debugging}
%patch9 -p1
%endif
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

#
# Candidates for doc recoding (need case by case review):
# find . -name "*.pod" -o -name "README*" -o -name "*.pm" | xargs file -i | grep charset= | grep -v '\(us-ascii\|utf-8\)'
recode()
{
        iconv -f "$2" -t utf-8 < "$1" > "${1}_"
        mv -f "${1}_" "$1"
}
recode README.cn euc-cn
recode README.jp euc-jp
recode README.ko euc-kr
recode README.tw big5
recode pod/perlebcdic.pod iso-8859-1
recode pod/perlhack.pod iso-8859-1
recode pod/perlhist.pod iso-8859-1
recode pod/perlothrtut.pod iso-8859-1
recode pod/perlthrtut.pod iso-8859-1
recode lib/Unicode/Collate.pm iso-8859-1
for i in Changes*; do
    recode $i iso-8859-1
done
recode AUTHORS iso-8859-1


find . -name \*.orig -exec rm -fv {} \;

# Oh, the irony. Perl generates some non-versioned provides we don't need.
# Each of these has a versioned provide, which we keep.
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
    sed -e '/^perl(Carp)$/d' |\
    sed -e '/^perl(DynaLoader)$/d' |\
    sed -e '/^perl(Locale::Maketext)$/d' |\
    sed -e '/^perl(Log::Message::Handlers)$/d' |\
    sed -e '/^perl(Math::BigInt)$/d' |\
    sed -e '/^perl(Net::Config)$/d' |\
    sed -e '/^perl(Tie::Hash)$/d' |\
    sed -e '/^perl(bigint)$/d' |\
    sed -e '/^perl(bigrat)$/d' |\
    sed -e '/^perl(bytes)$/d' |\
    sed -e '/^perl(utf8)$/d' |\
    sed -e '/^perl(DB)$/d'
EOF
%define __perl_provides %{_builddir}/%{name}-%{perl_version}/%{name}-prov
chmod +x %{__perl_provides}

# Configure Compress::Zlib to use system zlib
sed -i "s|BUILD_ZLIB      = True|BUILD_ZLIB      = False|" ext/Compress/Raw/Zlib/config.in
sed -i "s|INCLUDE         = ./zlib-src|INCLUDE         = %{_includedir}|" ext/Compress/Raw/Zlib/config.in
sed -i "s|LIB             = ./zlib-src|LIB             = %{_libdir}|" ext/Compress/Raw/Zlib/config.in

%build
echo "RPM Build arch: %{_arch}"

# yes; don't use %_libdir so that noarch packages from other OSs
# arches work correctly :\ the Configure lines below hardcode lib for
# similar reasons.

/bin/sh Configure -des -Doptimize="$RPM_OPT_FLAGS" \
        -Dversion=%{perl_version} \
        -Dmyhostname=localhost \
        -Dperladmin=root@localhost \
        -Dcc='%{__cc}' \
        -Dcf_by='Red Hat, Inc.' \
        -Dinstallprefix=%{_prefix} \
        -Dprefix=%{_prefix} \
%ifarch %{multilib_64_archs}
        -Dlibpth="/usr/local/lib64 /lib64 /usr/lib64" \
        -Dprivlib="/usr/lib/perl5/%{perl_version}" \
        -Dsitelib="/usr/lib/perl5/site_perl/%{perl_version}" \
        -Dvendorlib="/usr/lib/perl5/vendor_perl/%{perl_version}" \
        -Darchlib="%{_libdir}/perl5/%{perl_version}/%{perl_archname}" \
        -Dsitearch="%{_libdir}/perl5/site_perl/%{perl_version}/%{perl_archname}" \
        -Dvendorarch="%{_libdir}/perl5/vendor_perl/%{perl_version}/%{perl_archname}" \
%endif
        -Darchname=%{_arch}-%{_os} \
%ifarch sparc
        -Ud_longdbl \
%endif
        -Dvendorprefix=%{_prefix} \
        -Dsiteprefix=%{_prefix} \
        -Duseshrplib \
        -Dusethreads \
        -Duseithreads \
        -Duselargefiles \
        -Dd_dosuid \
        -Dd_semctl_semun \
        -Di_db \
        -Ui_ndbm \
        -Di_gdbm \
        -Di_shadow \
        -Di_syslog \
        -Dman3ext=3pm \
        -Duseperlio \
        -Dinstallusrbinperl=n \
        -Ubincompat5005 \
        -Uversiononly \
        -Dpager='/usr/bin/less -isr' \
        -Dd_gethostent_r_proto -Ud_endhostent_r_proto -Ud_sethostent_r_proto \
        -Ud_endprotoent_r_proto -Ud_setprotoent_r_proto \
        -Ud_endservent_r_proto -Ud_setservent_r_proto \
        -Dscriptdir='%{_bindir}'

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%ifarch %{multilib_64_archs}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/%{perl_version}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perl_version}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perl_version}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perl_version}/auto
%endif

%ifarch %{multilib_64_archs}
mkdir -p -m 755 ${RPM_BUILD_ROOT}/usr/lib64/perl5/vendor_perl/%{perl_version}/%{_arch}-%{_os}
%endif

install -p -m 755 utils/pl2pm ${RPM_BUILD_ROOT}%{_bindir}/pl2pm

for i in asm/termios.h syscall.h syslimits.h syslog.h sys/ioctl.h sys/socket.h sys/time.h wait.h
do
  %{new_perl} $RPM_BUILD_ROOT/%{_bindir}/h2ph -a \
              -d $RPM_BUILD_ROOT%{_libdir}/perl5/%{perl_version}/%{perl_archname} $i || /bin/true
done


for dir in $(%{new_perl} -le 'print join("\n", @INC)' | grep '^/usr/lib')
do
  mkdir -p $RPM_BUILD_ROOT/$dir
done

for dir in $(%{new_perl} -le 'print join("\n", @INC)' | grep '^%{_libdir}')
do
  mkdir -p $RPM_BUILD_ROOT/$dir
done

#
# libnet configuration file
#
mkdir -p -m 755 $RPM_BUILD_ROOT/%{_libdir}/perl5/%{perl_version}/Net
install -p -m 644 %{SOURCE12} $RPM_BUILD_ROOT/%{_libdir}/perl5/%{perl_version}/Net/libnet.cfg

#
# Core modules removal
#
find $RPM_BUILD_ROOT -name '*NDBM*' | xargs rm -rfv
#find $RPM_BUILD_ROOT -name '*Math*' | xargs rm -rfv

find $RPM_BUILD_ROOT -type f -name '*.bs' -a -empty -exec rm -f {} ';'
# Install sample cgi scripts (this used to happen automatically?)
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/%{perl_version}/CGI/eg/
cp -a lib/CGI/eg/* $RPM_BUILD_ROOT/usr/lib/perl5/%{perl_version}/CGI/eg/

# Cleanup binary paths and make cgi files executable
pushd $RPM_BUILD_ROOT/usr/lib/perl5/%{perl_version}/CGI/eg/
  for i in *.cgi make_links.pl RunMeFirst ; do
    sed -i 's|/usr/local/bin/perl|/usr/bin/perl|g' $i
    chmod +x $i
  done
popd

# miniperl? As an interpreter? How odd.
sed -i 's|./miniperl|/usr/bin/perl|' $RPM_BUILD_ROOT/usr/lib/perl5/%{perl_version}/ExtUtils/xsubpp
chmod +x $RPM_BUILD_ROOT/usr/lib/perl5/%{perl_version}/ExtUtils/xsubpp

# Don't need the .packlist
rm -f $RPM_BUILD_ROOT%{_libdir}/perl5/%{perl_version}/%{perl_archname}/.packlist

# Momonga package managing - remove files that are included in other perl
# packages

rm $RPM_BUILD_ROOT/usr/bin/shasum
rm $RPM_BUILD_ROOT/usr/share/man/man1/shasum.1
rm $RPM_BUILD_ROOT/usr/share/man/man3/Digest::SHA.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/ExtUtils::ParseXS.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IPC::Cmd.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Locale::Maketext::Simple.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Log::Message.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Log::Message::Config.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Log::Message::Handlers.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Log::Message::Item.3pm
rm $RPM_BUILD_ROOT/usr/bin/config_data
rm $RPM_BUILD_ROOT/usr/share/man/man1/config_data.1
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::API.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Authoring.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Base.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Compat.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::ConfigData.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Cookbook.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::ModuleInfo.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Notes.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::PPMMaker.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::Amiga.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::Default.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::EBCDIC.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::MPEiX.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::MacOS.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::RiscOS.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::Unix.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::VMS.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::VOS.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::Windows.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::aix.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::cygwin.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::darwin.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::Platform::os2.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Build::YAML.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Load.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Load::Conditional.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Loaded.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Devel::InnerPackage.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Pluggable.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::Pluggable::Object.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Object::Accessor.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Package::Constants.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Params::Check.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Escapes.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::Checker.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::Debug.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::DumpAsText.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::DumpAsXML.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::HTML.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::HTMLBatch.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::LinkSection.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::Methody.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::PullParser.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::PullParserEndToken.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::PullParserStartToken.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::PullParserTextToken.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::PullParserToken.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::RTF.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::Search.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::SimpleTree.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::Subclassing.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::Text.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::TextContent.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Pod::Simple::XMLOutStream.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/ExtUtils::CBuilder.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/ExtUtils::CBuilder::Platform::Windows.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Term::UI.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Term::UI::History.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Compress::Raw::Zlib.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/File::GlobMapper.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Compress::Base.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Uncompress::AnyUncompress.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Uncompress::Base.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Compress::Zlib.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Compress::Deflate.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Compress::Gzip.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Compress::RawDeflate.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Compress::Zip.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Uncompress::AnyInflate.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Uncompress::Gunzip.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Uncompress::Inflate.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Uncompress::RawInflate.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Uncompress::Unzip.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Log::Message::Simple.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Time::Piece.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Time::Seconds.3pm
rm $RPM_BUILD_ROOT/usr/bin/ptar
rm $RPM_BUILD_ROOT/usr/bin/ptardiff
rm $RPM_BUILD_ROOT/usr/share/man/man1/ptar.1
rm $RPM_BUILD_ROOT/usr/share/man/man1/ptardiff.1
rm $RPM_BUILD_ROOT/usr/share/man/man3/Archive::Tar.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Archive::Tar::File.3pm
rm $RPM_BUILD_ROOT//usr/share/man/man3/File::Fetch.3pm
rm $RPM_BUILD_ROOT/usr/bin/corelist
rm $RPM_BUILD_ROOT/usr/share/man/man1/corelist.1
rm $RPM_BUILD_ROOT/usr/share/man/man3/Module::CoreList.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/IO::Zlib.3pm
rm $RPM_BUILD_ROOT/usr/share/man/man3/Archive::Extract.3pm


# Fix some manpages to be UTF-PM_BUILD_ROOT
pushd $RPM_BUILD_ROOT%{_mandir}/man1/
  for i in perl588delta.1 perldelta.1 ; do
    iconv -f MS-ANSI -t UTF-8 $i --output new-$i
    rm -rf $i
    mv new-$i $i
  done
popd

# Mo files fix
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perl_version}/ExtUtils
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perl_version}/Locale
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perl_version}/Net
#

chmod -R u+w $RPM_BUILD_ROOT/*

# Compress Changes* to save space
%{__gzip} Changes*

%if %{perl_debugging}
exit 0
# disable brp-strip
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc Artistic AUTHORS Changes* Copying README
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_bindir}/*
%{_libdir}/perl5/
%ifarch %{multilib_64_archs}
/usr/lib/perl5/
%endif

# libs
%exclude %{_libdir}/perl5/%{perl_version}/%{perl_archname}/CORE/libperl.so

# devel
%exclude %{_bindir}/enc2xs
%exclude %{_mandir}/man1/enc2xs*
%exclude %{_bindir}/h2xs
%exclude %{_mandir}/man1/h2xs*
%exclude %{_bindir}/libnetcfg
%exclude %{_mandir}/man1/libnetcfg*
%exclude %{_bindir}/perlivp
%exclude %{_mandir}/man1/perlivp*
%exclude %{_libdir}/perl5/%{perl_version}/%{perl_archname}/CORE/*.h
%exclude %{_bindir}/xsubpp
%exclude %{_mandir}/man1/xsubpp*

# suidperl
%exclude %{_bindir}/suidperl
%exclude %{_bindir}/sperl%{perl_version}

# CPAN
%exclude %{_bindir}/cpan
%exclude /usr/lib/perl5/%{perl_version}/CPAN/
%exclude /usr/lib/perl5/%{perl_version}/CPAN.pm
%exclude %{_mandir}/man1/cpan.1*
%exclude %{_mandir}/man3/CPAN.*
%exclude %{_mandir}/man3/CPAN:*

# CPANPLUS
%exclude %{_bindir}/cpan2dist
%exclude %{_bindir}/cpanp
%exclude %{_bindir}/cpanp-run-perl
%exclude %{_prefix}/lib/perl5/%{perl_version}/CPANPLUS/
%exclude %{_prefix}/lib/perl5/%{perl_version}/CPANPLUS.pm
%exclude %{_mandir}/man1/cpan2dist.1*
%exclude %{_mandir}/man1/cpanp.1*
%exclude %{_mandir}/man3/CPANPLUS*

# ExtUtils-Embed
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Embed.pm
%exclude %{_mandir}/man3/ExtUtils::Embed*

# ExtUtils-MakeMaker
%exclude %{_bindir}/instmodsh
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Command/
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Install.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Installed.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Liblist/
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Liblist.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/MakeMaker/
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/MakeMaker.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/MANIFEST.SKIP
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/MM*.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/MY.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Manifest.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Mkbootstrap.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Mksymlists.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/Packlist.pm
%exclude /usr/lib/perl5/%{perl_version}/ExtUtils/testlib.pm
%exclude %{_mandir}/man1/instmodsh.1*
%exclude %{_mandir}/man3/ExtUtils::Command::MM*
%exclude %{_mandir}/man3/ExtUtils::Install.3*
%exclude %{_mandir}/man3/ExtUtils::Installed.3*
%exclude %{_mandir}/man3/ExtUtils::Liblist.3*
%exclude %{_mandir}/man3/ExtUtils::MM*
%exclude %{_mandir}/man3/ExtUtils::MY.3*
%exclude %{_mandir}/man3/ExtUtils::MakeMaker*
%exclude %{_mandir}/man3/ExtUtils::Manifest.3*
%exclude %{_mandir}/man3/ExtUtils::Mkbootstrap.3*
%exclude %{_mandir}/man3/ExtUtils::Mksymlists.3*
%exclude %{_mandir}/man3/ExtUtils::Packlist.3*
%exclude %{_mandir}/man3/ExtUtils::testlib.3*

# Test::Harness
%exclude %{_bindir}/prove
%exclude /usr/lib/perl5/%{perl_version}/Test/Harness*
%exclude %{_mandir}/man1/prove.1*
%exclude %{_mandir}/man3/Test::Harness*

# Test::Simple
%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/More*
%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/Builder*
%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/Simple*
%exclude %{_prefix}/lib/perl5/%{perl_version}/Test/Tutorial*
%exclude %{_mandir}/man3/Test::More*
%exclude %{_mandir}/man3/Test::Builder*
%exclude %{_mandir}/man3/Test::Simple*
%exclude %{_mandir}/man3/Test::Tutorial*

# version
%exclude %{_prefix}/lib/perl5/%{perl_version}/version.pm
%exclude %{_prefix}/lib/perl5/%{perl_version}/version.pod
%exclude %{_mandir}/man3/version.*

%files libs
%defattr(-,root,root)
%{_libdir}/perl5/%{perl_version}/%{perl_archname}/CORE/libperl.so

%files devel
%defattr(-,root,root,-)
%{_bindir}/enc2xs
%{_mandir}/man1/enc2xs*
%{_bindir}/h2xs
%{_mandir}/man1/h2xs*
%{_bindir}/libnetcfg
%{_mandir}/man1/libnetcfg*
%{_bindir}/perlivp
%{_mandir}/man1/perlivp*
%{_libdir}/perl5/%{perl_version}/%{perl_archname}/CORE/*.h
%{_bindir}/xsubpp
%{_mandir}/man1/xsubpp*

%files suidperl
%defattr(-,root,root,-)
%{_bindir}/suidperl
%{_bindir}/sperl%{perl_version}

%files CPAN
%defattr(-,root,root,-)
%{_bindir}/cpan
/usr/lib/perl5/%{perl_version}/CPAN/
/usr/lib/perl5/%{perl_version}/CPAN.pm
%{_mandir}/man1/cpan.1*
%{_mandir}/man3/CPAN.*
%{_mandir}/man3/CPAN:*

%files CPANPLUS
%defattr(-,root,root,-)
%{_bindir}/cpan2dist
%{_bindir}/cpanp
%{_bindir}/cpanp-run-perl
%{_prefix}/lib/perl5/%{perl_version}/CPANPLUS/
%{_prefix}/lib/perl5/%{perl_version}/CPANPLUS.pm
%{_mandir}/man1/cpan2dist.1*
%{_mandir}/man1/cpanp.1*
%{_mandir}/man3/CPANPLUS*

%files ExtUtils-Embed
%defattr(-,root,root,-)
/usr/lib/perl5/%{perl_version}/ExtUtils/Embed.pm
%{_mandir}/man3/ExtUtils::Embed*

%files ExtUtils-MakeMaker
%defattr(-,root,root,-)
%{_bindir}/instmodsh
/usr/lib/perl5/%{perl_version}/ExtUtils/Command/
/usr/lib/perl5/%{perl_version}/ExtUtils/Install.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/Installed.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/Liblist/
/usr/lib/perl5/%{perl_version}/ExtUtils/Liblist.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/MakeMaker/
/usr/lib/perl5/%{perl_version}/ExtUtils/MakeMaker.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/MANIFEST.SKIP
/usr/lib/perl5/%{perl_version}/ExtUtils/MM*.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/MY.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/Manifest.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/Mkbootstrap.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/Mksymlists.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/Packlist.pm
/usr/lib/perl5/%{perl_version}/ExtUtils/testlib.pm
%{_mandir}/man1/instmodsh.1*
%{_mandir}/man3/ExtUtils::Command::MM*
%{_mandir}/man3/ExtUtils::Install.3*
%{_mandir}/man3/ExtUtils::Installed.3*
%{_mandir}/man3/ExtUtils::Liblist.3*
%{_mandir}/man3/ExtUtils::MM*
%{_mandir}/man3/ExtUtils::MY.3*
%{_mandir}/man3/ExtUtils::MakeMaker*
%{_mandir}/man3/ExtUtils::Manifest.3*
%{_mandir}/man3/ExtUtils::Mkbootstrap.3*
%{_mandir}/man3/ExtUtils::Mksymlists.3*
%{_mandir}/man3/ExtUtils::Packlist.3*
%{_mandir}/man3/ExtUtils::testlib.3*

%files Test-Harness
%defattr(-,root,root,-)
%{_bindir}/prove
/usr/lib/perl5/%{perl_version}/Test/Harness*
%{_mandir}/man1/prove.1*
%{_mandir}/man3/Test::Harness*

%files Test-Simple
%defattr(-,root,root,-)
%{_prefix}/lib/perl5/%{perl_version}/Test/More*
%{_prefix}/lib/perl5/%{perl_version}/Test/Builder*
%{_prefix}/lib/perl5/%{perl_version}/Test/Simple*
%{_prefix}/lib/perl5/%{perl_version}/Test/Tutorial*
%{_mandir}/man3/Test::More*
%{_mandir}/man3/Test::Builder*
%{_mandir}/man3/Test::Simple*
%{_mandir}/man3/Test::Tutorial*

%files version
%defattr(-,root,root,-)
%{_prefix}/lib/perl5/%{perl_version}/version.pm
%{_prefix}/lib/perl5/%{perl_version}/version.pod
%{_mandir}/man3/version.*

%files core
# Nothing.

%changelog
* Sat May  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.10.0-7m)
- perl-Compress-Zlib was OBSOLETED
- perl-Compress-Raw-Zlib was OBSOLETED
- perl-IO-Compress-Base was OBSOLETED
- perl-IO-Compress-Zlib was OBSOLETED
- these packages are provided by perl itself

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.10.0-6m)
- rebuild against gcc43

* Tue Mar 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.10.0-5m)
- add Obsoletes and Provides for math packages

* Sun Mar 16 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.10.0-4m)
- update spec to dekirudake sync with fc devel
- add patches:
  Patch13: perl-5.10.0-x86_64-io-test-failure.patch
  Patch14: 32891.patch
  Patch15: perl-5.10.0-Module-Load-Conditional-0.24.patch

* Sat Feb  9 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.10.0-3m)
- modified spec to include:
	Provides: perl(strict)
	Provides: perl(vars)

* Mon Feb  4 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.10.0-2m)
- provide perl-CPANPLUS and obsolete separate perl-CPANPLS package

* Thu Jan 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.10.0-1m)
- update to 5.10.0
- patches from fc-devel

* Wed Nov  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.8.8-17m)
- [SECURITY] CVE-2007-5116
- add security patch (Patch50)

* Sun Oct 21 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (5.8.8-16m)
- added perl-5.8.8-gcc42.patch

* Sat Oct 20 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-15m)
- rebuild against db4-4.6.21

* Sun Aug 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (5.8.8-14m)
- fix %%changelog section

* Sun Jul  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.8.8-13m)
- roll back to 11m (sorry...)

* Sun Jul  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.8.8-12m)
- fix conflicting man

* Sat Jul  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.8.8-11m)
- sync with FC-devel
- following sub-packages are generated from perl.spec
- ExtUtils-MakeMaker, ExtUtils-Embed, CPAN, Test-Harness, Test-Simple

* Tue Apr 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.8.8-10m)
- fix files dup

* Tue Apr 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.8.8-9m)
- delete Math modules again

* Sun Apr 22 2007 Masahiro Takahata <takahata@momonga-linux>
- (5.8.8-8m)
- sync with fedora

* Thu Mar 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (5.8.8-7m)
- add gcc-4.2 patch
-- perl-5.8.8-gcc42.patch

* Wed Jan 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.8.8-6m)
- delete Math modules

* Fri Nov 17 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-5m)
- rebuild against db-4.5

* Sun May 28 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-4m)
- add Provides: perl(Mac::InternetConfig)

* Tue Feb 21 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-3m)
- change URL for Source0 
- use Patch19:     perl-5.8.8-links.patch     
- add Patch32:     perl-5.8.8-debian_fix_net_nntp.patch
      Patch33:     perl-5.8.8-up27133_up27169.patch
      Patch25084:  perl-5.8.7-25084.patch
- add BuildRequires: man, groff

* Sat Feb 11 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-2m)
- edit spec to include DB_File and fix typos (sumaaan m<..>m 

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-1m)
- version up to 5.8.8
- import patch from fedora

* Sun Oct 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (5.8.7-2m)
- enable ia64.

* Wed Jun  8 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.7-1m)
- version up to 5.8.7

* Fri Jan 14 2005 Toru Hoshina <t@momonga-linux.org>
- (5.8.5-2m)
- enable x86_64.

* Wed Aug 11 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.5-1m)
- version update to 5.8.5
- remove Patch8: perl-5.8.0-errno.patch 

* Mon Jul 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (5.8.2-9m)
- add Epoch to Requires: of perl-suidperl

* Mon Jul 12 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (5.8.2-8m)
- add Epoch

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (5.8.2-7m)
- remove Epoch

* Sat Apr  4 2004 Toru Hoshina <t@momonga-linux.org>
- (5.8.2-6m)
- revised spec for rpm 4.2.1.

* Mon Dec 15 2003 TAKAHASHI Tamotsu <tamo>
- (5.8.2-5m)
- add 'Provides: /usr/bin/suidperl'

* Mon Dec  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.8.2-3m)
- remove 'Provides: /usr/bin/perl5'

* Sun Nov 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.2-3m)
- remove Obsoletes: perl-Time-HiRes
- remove Provides: perl-Time-HiRes
- delete DB_File

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (5.8.2-2m)
- import patch from fedora

* Sun Nov 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.8.2-1m)
- update to 5.8.2
- comment out %%patch21397 -p1 -b .21397 since included tarball
- comment out %%patch21401 -p1 -b .21401 since included tarball

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (5.8.1-2m)
- rebuild against gdbm-1.8.0

* Sat Nov 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.8.1-1m)
- update to 5.8.1
- s/%%define/%%global/g
- comment out unused %%define cpanver, dbfilever and cgiver
- add Patch19: perl-5.8.0-links.patch
- add Patch21: perl-5.8.0-rpath-make.patch
- add Patch21397: perl-5.8.1-upstream-21397.patch from rawhide
- add Patch21401: perl-5.8.1-upstream-21401.patch from rawhide
- add gdbm-devel, db4-devel at BuildRequires:
- add URL: http://www.perl.com/
- use %%{perlver} instead of perl version hard coding '5.8.0'!!
- update Patch5: to perl-5.8.0-root.patch
- comment out Patch6: perl-5.8.0-fhs.patch
- comment out Patch9: perl-5.7.3-syslog.patch
- comment out Patch20: perl-5.8.0-pager.patch
- comment out Patch200: perl-5.8.0-local-utf8.patch
- comment out Patch201: perl-5.8.0-upstream-17781.patch
- comment out Patch202: perl-5.8.0-upstream-17927.patch
- comment out Patch206: perl-5.8.0-upstream-18061.patch
- comment out Patch207: perl-5.8.0-upstream-18086.patch
- add many Provides:, is this correct?
- update source11 filter-depends.sh for 'grep -v perl(Tk'

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (5.8.0-9m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Tue Aug 26 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (5.8.0-8m)
- remove perl-5.8.0-db.patch

* Sat Jul 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.0-7m)
- update CGI.pm to fix vulnerability of Cross-site Scripting 
   See:
      http://www.st.ryukoku.ac.jp/%7Ekjm/security/memo/2003/07.html#20030723_cgi.pm
      http://archives.neohapsis.com/archives/bugtraq/2003-07/0267.html
      http://archives.neohapsis.com/archives/bugtraq/2003-07/0287.html

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (5.8.0-6m)
- rebuild against for gdbm

* Sat Feb  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.0-5m)
- rebuild against gdbm-1.8.3-1m

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.0-4m)
- add following Provides
  - Provides: perl-Digest-MD5
  - Provides: perl-MIME-Base64
  - Provides: perl-libnet
  - Provides: perl-Storable
  - Provides: perl-Test-Harness
  - Provides: perl-Test-Simple
  - Provides: perl-Time-HiRes

* Mon Nov 25 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (5.8.0-3m)
- provides /usr/bin/perl, /usr/bin/perl5

* Mon Nov 25 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.0-2m)
- fix thread support

* Thu Nov 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.8.0-1m)
- merged from rawhide

* Thu Nov  7 2002 Chip Turner <cturner@redhat.com>
- multilib support when building noarch perl modules
- integrate upstream bugfix patches

* Tue Sep 10 2002 Chip Turner <cturner@redhat.com>
- integrate patch for /usr/lib64 instead of /usr/lib from Than Ngo

* Mon Sep  9 2002 Chip Turner <cturner@redhat.com>
- integrate s390/s390x patch from Florian La Roche

* Sun Sep  1 2002 Chip Turner <cturner@redhat.com>
- fix pager issues; default to /usr/bin/less -isr
- more work on pager bug (72125)

* Thu Aug 29 2002 Chip Turner <cturner@redhat.com>
- add a few new directories to h2ph to produce better .ph files

* Thu Aug 15 2002 Chip Turner <cturner@redhat.com>
- change from lynx to links in CPAN.pm

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build
- remove Filter packages and use CPAN ones

* Fri Jul 19 2002 Chip Turner <cturner@redhat.com>
- move to final perl 5.8.0, huzzah!

* Tue Jul 16 2002 Chip Turner <cturner@redhat.com>
- update CPAN, CGI, and DB_File versions; obsolete perl-libnet
- libnet.cfg supplied, default to passive ftp in all cases

* Tue Jun 18 2002 Chip Turner <cturner@redhat.com>
- add patch to ensire libperl.so is linked properly

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com>
- always build with -fPIC

* Thu May  9 2002 Jeff Johnson <jbj@redhat.com>
- rebuild in rawhide

* Sun Mar 31 2002 Chip Turner <cturner@redhat.com>
- split suidperl back out (bug #62215)

* Tue Mar 26 2002 Chip Turner <cturner@redhat.com>
- restructuring of some directories, alteration of @INC

* Thu Dec 20 2001 Chip Turner <cturner@redhat.com>
- remove ndbm completely

* Sun Dec 16 2001 Chip Turner <cturner@redhat.com>
- make rpmlint happy, split out NDBM_File, clean up other spots
- stopped doing grep -v etc in favor of custom script

* Wed Dec 12 2001 Chip Turner <cturner@redhat.com>
- cleaning up of ia64 issues, as well as compatibility with gcc 3.1
  and glibc 2.2.4

* Mon Sep 24 2001 Chip Turner <cturner@redhat.com>
- changing building of extra modules out of the core perl rpm

* Mon Sep 17 2001 Chip Turner <cturner@redhat.com>
- upgrade to 5.6.1, added old INC dirs to maintain compat

* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com>
- bzip2 source, save some space.

* Thu Dec  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- initial rebuild for 7.1

* Tue Sep 12 2000 Bill Nottingham <notting@redhat.com>
- fix dependencies on ia64/sparc64

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- replace the deprecated MD5 with Digest::MD5 (has to be here for cleanfeed)
- obsolete: perl-Digest-MD5
- use syslog instead of mail to report possible attempts to break into suidperl
- force syslog on at build-time

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Owen's fix for #14779/#14863
- specify cc=%{__cc}; continue to let cpp sort itself out
- switch shadow support on (#8646)
- release 7

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- strip buildroot from perl pods (#14040)
- release 6

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild (release 5)

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- don't require tcsh to install, only to build
- release 4

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against new db3 package
- release 3

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable 64-bit file support
- change name of package that Perl expects gcc to be in from "egcs" to "gcc"
- move man pages to /usr/share via hints/linux.sh and MM_Unix.pm
- fix problems prefixifying with empty prefixes
- disable long doubles on sparc (they're the same as doubles anyway)
- add an Epoch to make sure we can upgrade from perl-5.00503
- release 2

* Thu Mar 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.6.0

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 14 2000 Jeff Johnson <jbj@redhat.com>
- add provides for perl modules (from kestes@staff.mail.com).

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- fix the %%install so that the MD5 module gets actually installed correctly

* Mon Aug 30 1999 Cristian Gafton <gafton@redhat.com>
- make sure the package builds even when we don't have perl installed on the
  system

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- merged with perl-MD5
- get rid of the annoying $RPM_BUILD_ROOT paths in the installed tree

* Mon Jul 26 1999 Cristian Gafton <gafton@redhat.com>
- do not link anymore against the system db library (and make each module
  link against it separately, so that we can have Berkeley db1 and db2 mixed
  up)

* Wed Jun 16 1999 Cristian Gafton <gafton@redhat.com>
- use wildcards for files in /usr/bin and /usr/man

* Tue Apr 06 1999 Cristian Gafton <gafton@redhat.com>
- version 5.00503
- make the default man3 install dir be release independent
- try to link against db1 to preserve compatibility with older databases;
  abandoned idea because perl is too broken to allow such an easy change
  (hardcoded names *everywhere* !!!)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- guilty of the inlined Makefile in the spec file
- adapted for the arm build

* Wed Sep 09 1998 Preston Brown <pbrown@redhat.com>
- added newer CGI.pm to the build
- changed the version naming scheme around to work with RPM

* Sun Jul 19 1998 Jeff Johnson <jbj@redhat.com>
- attempt to generate *.ph files reproducibly

* Mon Jun 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.004_04-m4 (pre-5.005 maintenance release)

* Tue Jun 12 1998 Christopher McCrory <chrismcc@netus.com
- need stdarg.h from gcc shadow to fix "use Sys::Syslog" (problem #635)

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to correct the .ph constructs unless defined (foo) to read
  unless(defined(foo))

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- fixed strftime problem

* Sun Mar 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix a security race
- do not use setres[ug]id - those are not implemented on 2.0.3x kernels

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.004_04 - 5.004_01 had some nasty memory leaks.
- fixed the spec file to be version-independent

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- Config.pm wasn't right do to the builtrooting

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- fixed arch-specfic part of spec file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to perl 5.004_01
- users a build root

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- Use -Darchname=i386-linux 
- Require csh (for glob)
- Use RPM_ARCH during configuration and installation for arch independence
